﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{8E6DA196-FDC8-4797-A032-C93903F9FDC5}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>IsoOnTcp</RootNamespace>
    <AssemblyName>IsoToS7online</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="ByteConvert.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="HexDump.cs" />
    <Compile Include="ISOonTCP\ISOonTCP.cs" />
    <Compile Include="IsoToS7online.cs" />
    <Compile Include="ISOonTCP\TcpServer.cs" />
    <Compile Include="ISOonTCP\TPDU\TPDU.cs" />
    <Compile Include="ISOonTCP\TPDU\TPDUConnection.cs" />
    <Compile Include="ISOonTCP\TPDU\TPDUData.cs" />
    <Compile Include="ISOonTCP\TPKT\TPKT.cs" />
    <Compile Include="S7online\PlcS7onlineMsgPumpS7.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="S7online\PlcS7onlineMsgPump.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="S7online\PlcS7onlineMsgPumpTia.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="S7ProtoHook.cs" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Net" />
    <Reference Include="System.Windows.Forms" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>